/* =================================================================================
File name:        ANG_GEN.H  (IQ version)                   
                    
Originator:	ECS Development

Description: 
This file contains type definitions, constants and initializers for
the ramp generation functions contained in RAMPGEN.C
=====================================================================================
 History:
-------------------------------------------------------------------------------------
 04-15-2005	Version 3.20                                                 
------------------------------------------------------------------------------*/
#ifndef __ANGGEN_H__
#define __ANGGEN_H__

typedef struct { _iq  Freq; 		    // Input: Ramp frequency (pu) 	
		 	     _iq  StepAngleMax;	    // Parameter: Maximum step angle (pu)		
	 	 	     _iq  AngleVar;	       	// Variable: Step angle (pu)					  
			     _iq  AngleOut;  	 	// Output: Ramp signal (pu) 	
	  	  	     void  (*calc)();	  	// Pointer to calculation function
			   } ANGGEN;	            

/*------------------------------------------------------------------------------
      Object Initializers
------------------------------------------------------------------------------*/                       
#define ANGGEN_DEFAULTS {0,0,0,0, \
                         (void (*)(unsigned long))anggen_calc }

/*------------------------------------------------------------------------------
      Funtion prototypes
------------------------------------------------------------------------------*/                                               
void anggen_calc(ANGGEN *);

#endif // __ANGGEN_H__
