/* =================================================================================
File name:        ZOH.H  (IQ version)                  
                    
Originator:		ECS Development

Description: 
Header file containing constants, data type definitions, and 
function prototypes for the ZOH module.
=====================================================================================
 History:
-------------------------------------------------------------------------------------
 12-01-2007	Version 3.20                                                   
------------------------------------------------------------------------------*/
#ifndef __ZOH_H__
#define __ZOH_H__

typedef struct { _iq   SignalIn; 	   // Input: Signal input (pu)
				 _iq16  maxTimerEach;  //  Increase Q number if not synchronized perfectly
				 _iq16  maxTimer;         // Increase Q number if not synchronized perfectly	
				 _iq16  timer;          // Increase Q number if not synchronized perfectly
				 _iq16  ttimer;           //  Increase Q number if not synchronized perfectly
				 int  NoSteps;         // Q0
				 int  NoStepMax;       // Q0
				 _iq   Discret_signal;	 // History: Previous discretized signal input (pu)		
				 _iq   SignalOut;      // Output: Signal output (pu)				 
		  	  	 void (*calc)();       // Pointer to calculation function
				 } ZOH;	            

/*-----------------------------------------------------------------------------
Default initalizer for the ZOH object.
-----------------------------------------------------------------------------*/                     
#define ZOH_DEFAULTS { 0,0,0,0,0,0,8,0,0, \
                   	 (void (*)(unsigned long))zoh_calc }

/*------------------------------------------------------------------------------
Prototypes for the functions in ZOH.C
------------------------------------------------------------------------------*/
void zoh_calc(ZOH *);

#endif // __ZOH_H__
