/*=====================================================================================
 File name:        ANG_GEN.C  (IQ version)                  
                    
 Originator:		ECS Development

 Description:  The Angle Generation                   

=====================================================================================
 History:
-------------------------------------------------------------------------------------
 04-15-2005	Version 3.20
-------------------------------------------------------------------------------------*/

#include "IQmathLib.h"
#include "ang_gen.h"

void anggen_calc(ANGGEN *v)
{	

// Compute the angle rate
        v->AngleVar += _IQmpy(v->StepAngleMax,v->Freq);       

// Saturate the angle rate within (-1,1)        
        if (v->AngleVar>_IQ(1.0))
          v->AngleVar -= _IQ(1.0);
        else if (v->AngleVar<_IQ(-1.0))
          v->AngleVar += _IQ(1.0);

// Compute the ramp output
       v->AngleOut = v->AngleVar + _IQ(1.0);

// Saturate the ramp output within (-1,1)     
       if (v->AngleOut>_IQ(1.0))
          v->AngleOut -= _IQ(1.0);
        else if (v->AngleOut<_IQ(-1.0))
          v->AngleOut += _IQ(1.0);

}

