/*=====================================================================================
 File name:        ZOH.C  (IQ version)                  
                    
 Originator:		ECS Development

 Description:  Zero-Order-Hold                

=====================================================================================
 History:
-------------------------------------------------------------------------------------
 04-15-2005	Version 3.20
-------------------------------------------------------------------------------------*/

#include "IQmathLib.h"
#include "zoh.h"


void zoh_calc(ZOH *v)
{
   
    v->maxTimerEach = v->maxTimer/v->NoStepMax;
    v->timer += _IQ16(1.0);
    v->ttimer += _IQ16(1.0);

   if (v->timer >= v->maxTimerEach) {
        v->Discret_signal = v->SignalIn;
        v->timer = 0;
		v->NoSteps++;
        if (v->NoSteps == v->NoStepMax-1)
           v->NoSteps = 0;
   }

    if (v->ttimer >= v->maxTimer) {
           v->Discret_signal = v->SignalIn;
           v->timer =0;
		   v->ttimer=0;
    }
    
   v->SignalOut = v->Discret_signal;
}

