/* ==============================================================================
System Name: Micro stepping bipolar drive for two-phase stepping motor

File Name:	ecs_main.h

Description:	Primary header file

Originator:		ECS Development

Target:  TMS320F2808

=====================================================================================
 History:
-------------------------------------------------------------------------------------
 01-15-2005	Release	Rev 1.0 : Original release
=================================================================================  */

#ifndef __ECS_MAIN_H__
#define __ECS_MAIN_H__


/*-------------------------------------------------------------------------------
Include project specific include files.
-------------------------------------------------------------------------------*/
#include "DSP280x_Device.h"
#include "ECS_MICROSTEP.h"
#include "f280xadc_6ch.h"
#include "f280x_uStep_8sw.h"
#include "dlog4ch.h"

/*-------------------------------------------------------------------------------
System frequency
-------------------------------------------------------------------------------*/
// Define the system frequency (MHz)
#define SYSTEM_FREQUENCY 100.0

// Define the ISR frequency (kHz)
#define ISR_FREQUENCY 10.0

/*-------------------------------------------------------------------------------
Prototype statements for functions found within this file.
-------------------------------------------------------------------------------*/
interrupt void ControlLoop1(void);

#endif   // end of __ECS_MAIN_H__ definition
